routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::resource('offer', 'OfferController');
Route::resource('beneficiary', 'BeneficiaryController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

app/Offer.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Offer extends Model
{
    protected $fillable = [

        'title',
            'description',
            'location',
            'agreementType',
            'quantity',
            'limitDate',
            'beneficiary',
            'companyOffer'
    ];
 /*    {{ \Carbon\Carbon::parse($user->limitDate)->format('d/m/Y')}} */
    protected $dates =[
        'limitDate'
    ];
   /*  protected $dateFormat = 'U'; */

   /* ->format('d \d\e M \d\e\l Y') */

    public function getDateForInput(){
        return $this->limitDate->format('Y-m-d');
    }
}

app/Http/Controllers/OfferController.php
<?php

namespace App\Http\Controllers;

use App\Offer;
use Illuminate\Http\Request;

class OfferController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $offers=Offer::all();
        return view('offer.index',compact('offers'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('offer.create');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $offer=new Offer([
            'title'=>$request->get('title'),
            'description'=>$request->get('description'),
            'location'=>$request->get('location'),
            'agreementType'=>$request->get('agreementType'),
            'quantity'=>$request->get('quantity'),
            'limitDate'=>$request->get('limitDate'),
            'beneficiary'=>$request->get('beneficiary'),
            'companyOffer'=>$request->get('companyOffer'),
        ]);
        $offer->save();
        return redirect('/offer')->with('success','Offer saved!');
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Offer  $offer
     * @return \Illuminate\Http\Response
     */
    public function show(Offer $offer)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Offer  $offer
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        $offer = Offer::find($id);
        return view('offer.edit', compact('offer'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Offer  $offer
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Offer $offer)
    {
        $request->validate([
            'title'=>'required',
            'description'=>'required',
            'location'=>'required'
        ]);
        
        $offer->update($request->all());
        return redirect('/offer')->with('success', 'Offer updated!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Offer  $offer
     * @return \Illuminate\Http\Response
     */
    public function destroy(Offer $offer)
    {
        $offer->delete();
        return redirect('/offer')->with('success', 'Contact deleted!');
    }
}

resources/views/offer/create.blade.php
@extends('base')

@section('main')

<div class="row">
        <div class="col-sm-8 offset-sm-2">
                <h1 class="display-3">Add a offer</h1>
                <div>
                  @if ($errors->any())
                    <div class="alert alert-danger">
                      <ul>
                          @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                          @endforeach
                      </ul>
                    </div><br />
                    @endif



    <h1>Esto es el formulario de offers</h1>
    <form method="post" action="{{route('offer.store')}}">
    @csrf
    <div class="form-group"><label for="title">Title</label><input class="form-control" type="text" name="title"></div>
    <div class="form-group"><label for="description">description</label><input class="form-control" type="text" name="description"></div>
    <div class="form-group"><label for="location">location</label><input class="form-control" type="text" name="location"></div>
    <div class="form-group"><label for="agreementType">agreementType</label><input class="form-control" type="text" name="agreementType"></div>
    <div class="form-group"><label for="quantity">quantity</label><input class="form-control" type="number" name="quantity"></div>
    <div class="form-group"><label for="limitDate">limitDate</label><input class="form-control" type="date" name="limitDate"></div>
    <div class="form-group"><label for="beneficiary">beneficiary</label><input class="form-control" type="text" name="beneficiary"></div>
    <div class="form-group"><label for="companyOffer">companyOffer</label><input class="form-control" type="text" name="companyOffer"></div>
    <button type="submit" class="btn btn-primary-outline">Add offer</button>
    </form>
@endsection

resources/views/offer/edit.blade.php
@extends('base') 

@section('main')
<div class="row">
    <div class="col-sm-8 offset-sm-2">
        <h1 class="display-3">Update a offer</h1>

        @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                <li>{{ $error }}</li>
                @endforeach
            </ul>
        </div>
        <br /> 
        @endif
    
        <form method="post" action="{{ route('offer.update', $offer->id) }}">
            @method('PATCH') 
            @csrf
    <div class="form-group"><label for="title">Title</label><input class="form-control" type="text" name="title" value="{{ $offer->title }}"></div>
    <div class="form-group"><label for="description">description</label><input class="form-control" type="text" name="description" value="{{ $offer->description }}"></div>
    <div class="form-group"><label for="location">location</label><input class="form-control" type="text" name="location" value="{{ $offer->location }}"></div>
    <div class="form-group"><label for="agreementType">agreementType</label><input class="form-control" type="text" name="agreementType" value="{{ $offer->agreementType }}"></div>
    <div class="form-group"><label for="quantity">quantity</label><input class="form-control" type="number" name="quantity" value="{{ $offer->quantity }}"></div>
    <div class="form-group"><label for="limitDate">limitDate</label><input class="form-control" type="date" name="limitDate" value="{{ $offer->getDateForInput() }}"></div>
    <div class="form-group"><label for="beneficiary">beneficiary</label><input class="form-control" type="text" name="beneficiary" value="{{ $offer->beneficiary }}"></div>
    <div class="form-group"><label for="companyOffer">companyOffer</label><input class="form-control" type="text" name="companyOffer" value="{{ $offer->companyOffer }}"></div>
            <button type="submit" class="btn btn-primary">Update</button>
        </form>
    </div>
</div>
@endsection

resources/views/offer/index.blade.php
@extends('base')

@section('main')
<div class="row">
    <div class="col-sm-12">
        <h1 class="display-3">Offers</h1>
        <div>
            <a style="margin: 19px;" href="{{ route('offer.create')}}" class="btn btn-primary">New offer</a>
        </div>     
      <table class="table table-striped">
        <thead>
            <tr>
                <td>title</td>
                <td>description</td>
                <td>location</td>
                <td>agreementType</td>
                <td>quantity</td>
                <td>limitData</td>
                <td>beneficiary</td>
                <td>companyOffer</td>
                <td colspan = 2>Actions</td>
            </tr>
        </thead>
        <div class="col-sm-12">
    
                @if(session()->get('success'))
                  <div class="alert alert-success">
                    {{ session()->get('success') }}  
                  </div>
                @endif
              </div>
        <tbody>
        @foreach($offers as $offer)
            <tr>
                <td>{{$offer->title}}</td>
                <td>{{$offer->description}}</td>
                <td>{{$offer->location}}</td>
                <td>{{$offer->agreementType}}</td>
                <td>{{$offer->quantity}}</td>
                <td>{{$offer->limitDate->format('d/m/Y')}}</td>
                <td>{{$offer->beneficiary}}</td>
                <td>{{$offer->companyOffer}}</td>
                <td>
                    <a href="{{ route('offer.edit',$offer->id)}}" class="btn btn-primary">Edit</a>
                </td>
                <td>
                    <form action="{{ route('offer.destroy', $offer->id)}}" method="post">
                      @csrf
                      @method('DELETE')
                      <button class="btn btn-danger" type="submit">Delete</button>
                    </form>
                </td>
            </tr>
        @endforeach
        </tbody>
    </table>
    <div>
    </div>
@endsection